> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all collections



## OpenAPI

````yaml https://api.gleap.io/api-docs.json get /helpcenter/collections
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /helpcenter/collections:
    get:
      tags:
        - Help center collections
      summary: Get all collections
      operationId: GetHelpcenterCollections
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CollectionWithCounts'
                type: array
      security:
        - jwt: []
components:
  schemas:
    CollectionWithCounts:
      allOf:
        - $ref: '#/components/schemas/HelpcenterCollectionDocument'
        - properties:
            subCollectionsCount:
              type: number
              format: double
            articlesCount:
              type: number
              format: double
          required:
            - subCollectionsCount
            - articlesCount
          type: object
    HelpcenterCollectionDocument:
      allOf:
        - $ref: '#/components/schemas/HelpcenterCollectionI'
        - $ref: '#/components/schemas/Document'
    HelpcenterCollectionI:
      $ref: '#/components/schemas/InferSchemaType_typeofhelpcenterCollectionSchema_'
    Document:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    InferSchemaType_typeofhelpcenterCollectionSchema_:
      $ref: >-
        #/components/schemas/IfAny_typeofhelpcenterCollectionSchema.any.ObtainSchemaGeneric_typeofhelpcenterCollectionSchema.DocType__
    FlattenMaps_T_:
      properties: {}
      type: object
    IfAny_typeofhelpcenterCollectionSchema.any.ObtainSchemaGeneric_typeofhelpcenterCollectionSchema.DocType__:
      allOf:
        - properties:
            updatedAt:
              $ref: '#/components/schemas/NativeDate'
            createdAt:
              $ref: '#/components/schemas/NativeDate'
          required:
            - updatedAt
            - createdAt
          type: object
        - properties:
            iconUrl:
              type: string
            extendedAudienceFilter: {}
            baseAudienceFilter: {}
            docId:
              type: number
              format: double
            lexorank:
              type: string
            project:
              properties:
                isValid:
                  properties: {}
                  type: object
                createFromHexString:
                  properties: {}
                  type: object
                createFromTime:
                  properties: {}
                  type: object
                generate:
                  properties: {}
                  type: object
                cacheHexString: {}
              type: object
            parent:
              properties:
                isValid:
                  properties: {}
                  type: object
                createFromHexString:
                  properties: {}
                  type: object
                createFromTime:
                  properties: {}
                  type: object
                generate:
                  properties: {}
                  type: object
                cacheHexString: {}
              type: object
            externalId:
              type: string
            title: {}
            description: {}
            targetAudience:
              type: string
          required:
            - targetAudience
          type: object
    NativeDate:
      type: string
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````